Bug 218561 - You shouldn't be able to drag Window title bars behind panels when resizing.
You shouldn't be able to drag Window title bars behind panels when resizing.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 20:12 EST by Rodd Clarkson
Modified: 2010-03-22 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 20:46:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file (24.55 KB, text/plain)
2007-10-05 00:20 EDT, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2006-12-05 20:12:34 EST
Description of problem:

When using compiz, you can't drag a title bar behind a panel (for example a
panel located at the top of a page or the bottom of the page.)  This makes a lot
of sense since allowing the title bar on a window to move behind panels would
make it very difficult to manage the window.  (Yes there are ways around, but
the average user wouldn't know them).

The same should go when resizing a window, but this is not the case.  You can
resize a window and have the title bar disappear behind the top or bottom panel.
 In the case of a top panel, this makes it hard to access the title bar to move,
close, extra and you need to know that you can press a metakey and drag the window.

In the case of a bottom panel, you have to actually move the panel to access the
window that has it's title bar behind it.


Version-Release number of selected component (if applicable):

compiz-0.0.13-0.32.20060817git.fc6


How reproducible:

Very

TOP PANEL:

Steps to Reproduce:
1. Open a window and drag it to the top of the screen.  Note how the title bar
refuses to disappear behind the panel.
2. Now, grab the top of the window (to resize it) and drag the top of the window up.

The title bar disappears behind the top panel.  If you panel is small, then you
might need to move the top of the window down just a little, but it is possible
to have the entire window title bar disappear behind the panel.
  
BOTTOM PANEL:

Steps to Reproduce:
1. Open a window and drag it to the bottom of the screen.  Note how the title
bar refuses to disappear behind the panel.
2. Now, grab the top of the window (to resize it) and drag the top of the window
down.

The window title bar moves behind the bottom panel effectively removing the
window from sight.  It also makes it very difficult to access (you have to move
the panel).

This may be a security risk if windows can be opened and positioned so that the
user isn't aware that they exist.  For example, a javascript might be able to
open a reasonably sized window, but place it's top so low on the desktop that
the window is covered by the bottom panel.  I haven't tested this, but it might
be worth testing.


Actual results:

The title bar can be positioned behind panels.

Expected results:

The title bar should refuse to go behind panels (as it does when you drag the
window).


Additional info:

This may have security implications allowing windows to be invoked that the use
can't see.
Comment 1 Matěj Cepl 2007-10-02 17:48:31 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 2 Rodd Clarkson 2007-10-02 19:35:09 EDT
I'm currently using rawhide, but can't build the nvidia drivers at the moment (I
use the livna stuff) and so can't test this at the moment.

If someone can give me a hand with building the nvidia drivers then I'll give a
quick respond, otherwise can you wait until I've got these installed?
Comment 3 Rodd Clarkson 2007-10-04 17:45:51 EDT
I can still move the title bars behind both the top and bottom panel when
resizing windows.

I can't managed to move the title bar behind a panel when dragging the title bar
around the desktop.

So this is better, but still needs attention with regard to the resizing issue.

I'm using:

compiz-0.5.2-12.6b86f3.fc8
compiz-gnome-0.5.2-12.6b86f3.fc8
Comment 4 Matěj Cepl 2007-10-04 20:27:00 EDT
Just to know what our X thinks about your configuration, could you attach
uncompressed /var/log/Xorg.0.log to this bug, please?
Comment 5 Rodd Clarkson 2007-10-05 00:20:32 EDT
Created attachment 217051 [details]
Xorg.0.log file
Comment 6 Matěj Cepl 2007-12-10 04:23:52 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 7 Rodd Clarkson 2007-12-12 15:25:57 EST
Can confirm this on f8.
Comment 9 Bug Zapper 2008-11-26 02:06:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:02:06 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Rodd Clarkson 2009-01-29 20:55:23 EST
Right, sorry for letting this bug slide.

I've just tested on F10, and while I can't drag a title bar behind the panels, it's still possible to 'toss' the windows title bar behind either the top panel (not good), or the bottom panel (very bad).

How to 'toss' a window.

I'm using compiz (obviously) and I've got the wobbly windows enabled (this may or may not matter).

Click and hold a window title bar (so you can move it) and then move it up and down the desktop near the top (or bottom) of the screen.  You will see the title bar disappear behind the panel.  A little speed with the mouse seems to make it more likely to happen.

If you let go of the mouse at the right moment, the window will 'continue on' and the title bar will disappear behind the panel.

There needs to be a check for this and then the gentle moving down of the window so that the title bar appears again.  (this might annoy some users who have used ALT+mouse to move the window half of the screen, not sure what to do there.
Comment 13 Matěj Cepl 2009-11-17 07:00:18 EST
Switching incorrect assignees to the default one.
Comment 14 Bug Zapper 2009-11-18 03:09:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Rodd Clarkson 2009-11-18 05:42:47 EST
I can still toss the window title bar under the panel, so this hasn't been addressed in f12
Comment 16 Rodd Clarkson 2010-03-22 20:46:29 EDT
This has been fixed in f13

Note You need to log in before you can comment on or make changes to this bug.